%define upstream_name    Net-Curl
%define upstream_version 0.37

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Perl extension interface for libcurl
License:    Artistic/GPL
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}/
Source0:    http://www.cpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     perl-Net-Curl-fix-CURL_STRICTER-undeclared.patch

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.420.0
BuildRequires: libcurl-devel
BuildRequires: perl-devel

%description
Net::Curl is a Perl extension interface for libcurl.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make}

%check
# remove test failure
rm t/old-22sendrecv.t
# yes, some tests are interactive. that's Evil.
# no point in running them, then: they'll be skipped
%{__make} test

%install
%make_install

%files
%doc Changes LICENSE META.yml MYMETA.yml README
%{perl_vendorarch}/Net
%{perl_vendorarch}/auto/Net
%{_mandir}/*/*


%changelog
* Wed Jan 18 2017 daviddavid <daviddavid> 0.370.0-4.mga6
+ Revision: 1082273
- fix testsuite removing the test who fails

* Tue Sep 13 2016 daviddavid <daviddavid> 0.370.0-3.mga6
+ Revision: 1052459
- add patch to fix build with curl >= 7.50.2

* Sun Jun 19 2016 pterjan <pterjan> 0.370.0-2.mga6
+ Revision: 1031015
- Rebuild for perl 5.22.2

* Fri Apr 15 2016 shlomif <shlomif> 0.370.0-1.mga6
+ Revision: 1002061
- Importing based on the perl-WWW-Curl .spec

